/* Shopper
 * Copyright (C) 2008 David Greaves
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */
#include "shopper.h"           // automake, i8n, gettext
#include <gtkmm.h>
#include <hildon-fmmm.h>
#include <glibmm.h>
#include "labeltext.h"

//#define DEBUG(...) cerr << __VA_ARGS__
#define DEBUG(...)

// LabelText - a label that turns into a textbox when clicked

class LabelText {
public:
	LabelText(const Glib::ustring &   	 label);

protected:

	bool show_text(GdkEventButton* ev);
	bool show_label(GdkEventFocus* ev);
	bool show_label(GdkEventButton* ev);
	void show_label();
	

	Glib::ustring data;

	Gtk::EventBox      evbox;
	Gtk::Label         label;
	Gtk::Entry         entry;

}
